import java.util.Scanner;

public class SeteaUm {

	public static void main(String[] args) {
		
		Scanner scan = new Scanner(System.in);
		
		int n = scan.nextInt();//Recebe o numero de entradas
		scan.nextLine();//Pula para proxima linha

		for(int i = 0; i < n; i++) {
			String entrada = scan.nextLine(); //le a entrada
			System.out.println(run(entrada));//Chama a funcao que realiza o processamento de cada entrada
		}
	}

	public static int run(String entrada) {
		Scanner scan = new Scanner(System.in);
		/*	A linha seguinte substitui todos os 7's por zero, separa os termos da conta gerando assim um vetor de Strings
		 *	No qual na posicao 0 esta o primeiro operando, na posicao 1 o operador e na posicao 2 temos outro operando
		 */
		String[] operadores = entrada.replaceAll("7", "0").split(" "); 

		int result = 0;
		switch (operadores[1]) {//Utiliza o switch para saber qual operacao vai realizar
		
		case "+":
			result = Integer.parseInt(operadores[0]) + Integer.parseInt(operadores[2]);//Converte a String em número e realiza a soma 
			break;
		
		case "x":
			result = Integer.parseInt(operadores[0]) * Integer.parseInt(operadores[2]);//Converte a String em número e realiza a multiplicação
			break;
		}
		String r = result + "";//Cria uma String com o resultado da conta
		r = r.replaceAll("7", "0");//Sendo uma String podemos utilizar o metodo replaceAll para substituir todos os 7 por 0
		
		//Retorna o resultado como um inteiro
		return Integer.parseInt(r);
	}
}